import React from 'react';
import PropTypes from 'prop-types';

const Button = ({onClick, children, rest}) => {
  return (
    <button onClick={onClick} {...rest}>
      {children}
    </button>
  );
};

Button.propTypes = {
  onClick: PropTypes.func.isRequired,
  children: PropTypes.node
};

export default Button;
